/*
 * Copyright (c) 2006-2009 CNRS/LAAS
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */
#ifndef _MSG_PARSER_H
#define _MSG_PARSER_H

// Prototypes

int computeBinaryMessage(const unsigned char*, int, int, int, int, struct timeval);
void computeBinaryHeader(const unsigned char *ucTrame, int *offset,  OEM4_BINARY_HEADER *BINARY_HEADER);
void computeBESTPOSb(OEM4BESTPOSb_LOG *strBESTPOS, const unsigned char *ucTrame, int *offset);
void computeBESTUTMb(OEM4BESTUTMb_LOG *strBESTUTM, const unsigned char *ucTrame, int *offset);
void computeBESTXYZb(OEM4BESTXYZb_LOG *strBESTXYZb, const unsigned char *ucTrame, int *offset);
void computeBESTVELb(OEM4BESTVELb_LOG *strBESTVELb, const unsigned char *ucTrame, int *offset);
void computeHEADINGb(OEM6HEADINGb_LOG *, const unsigned char *, int *);
#endif
